# OXIDE Overview

OXIDE is the IDE that allows you to develop JourneyApps applications. It is 100% browser-based, meaning that you can access your code and build apps from any computer with an internet connected - no installation or dev setup required.

![](https://2865107717-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F9TCHLR67eLHBOjPvHhud%2Fuploads%2Fgit-blob-d92899e4a4c2e92bcf42acef8e1f7a00c23e1d92%2Foxide-main.png?alt=media)

### Supported platforms

OXIDE is currently supported on recent versions of Google Chrome. It is fully supported on Windows and MacOS, and may generally also run on Linux.

### Accessing OXIDE

OXIDE can be accessed by singing in with JourneyApps account at [`https://oxide.journeyapps.com/`](https://oxide.journeyapps.com/). If you don't yet have an account you can sign up for a free JourneyApps trial [here](https://journeyapps.com/start-building/).

### Simple vs Advanced mode

OXIDE supports two user modes, **Simple** and **Advanced**, where Advanced mode provides the developer additional configuration and functionality.

Examples of additional functionality in Advanced mode:

* You can manage the trays in your workspaces, collapse and expand them, add and remove panels, even add additional trays.
* You can have more than 2 editor panes open at any time.

To switch modes, simply access your Profile settings in the toolbar on the top right corner and select "Switch to advanced IDE mode" or "Switch to simple IDE mode", or find these via the Command Palette (`ctrl+shift+p` on Windows or `cmd+shift+p` on MacOS).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.journeyapps.com/reference/oxide/getting-started-with-oxide/overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
